%global snapshot_version 23.0.1.2
%global source1_snapshot_version 20210311114606
%global source1_version 0.0.0

Name:           zrythm
Version:        1.0.0
Release:        %{snapshot_version}.1%{?dist}
Summary:        Full of features and easy to use digital audio workstation

License:        AGPLv3
URL:            https://www.zrythm.org/
Source0:        %{name}-%{version}+%{snapshot_version}.tar.xz
Source1:        libbacktrace-0.0.0+20210311114606.tar.xz

BuildRequires:  git
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  meson
BuildRequires:  cmake
BuildRequires:  xdg-utils
BuildRequires:  help2man
BuildRequires:  flex
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(lv2)
BuildRequires:  pkgconfig(lilv-0)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libchromaprint)
BuildRequires:  pkgconfig(gtksourceview-4)
BuildRequires:  pkgconfig(libcgraph)
BuildRequires:  pkgconfig(libgvc)
BuildRequires:  pkgconfig(guile-2.2)
BuildRequires:  pkgconfig(libzstd)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(rubberband)
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  pkgconfig(sratom-0)
BuildRequires:  pkgconfig(serd-0)
BuildRequires:  pkgconfig(sord-0)
BuildRequires:  pkgconfig(libxxhash)
BuildRequires:  pkgconfig(vamp)
BuildRequires:  libsoundio-devel
# Custom libraries
BuildRequires:  pkgconfig(audec)
BuildRequires:  pkgconfig(libcyaml)
BuildRequires:  pkgconfig(lsp-dsp-lib)
BuildRequires:  pkgconfig(reproc)

Requires:       breeze-icon-theme

%description
Zrythm is a digital audio workstation designed to be featureful and easy to use.
It allows limitless automation through curves, LFOs and envelopes, supports
multiple plugin formats including LV2, VST2 and VST3, works with multiple
backends including JACK, RtAudio/RtMidi and SDL2, assists with chord
progressions via a special Chord Track and chord pads, and can be used in
multiple languages including English, French, Portuguese, Japanese and German.

%prep
%autosetup -Sgit -a 1
mv libbacktrace-%{source1_version} subprojects/libbacktrace


%build
%meson -Dsdl=enabled
%meson_build


%install
%meson_install
%find_lang zrythm
rm %{buildroot}/%{_bindir}/zrythm_gdb
rm %{buildroot}/%{_bindir}/zrythm_valgrind
rm %{buildroot}/%{_includedir}/backtrace-supported.h
rm %{buildroot}/%{_includedir}/backtrace.h
rm %{buildroot}/%{_libdir}/libbacktrace.*

%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f zrythm.lang
%license COPYING
%doc README.md
%{_bindir}/zrythm
%{_bindir}/zrythm_launch
%{_bindir}/zrythm_lv2apply
%{_datadir}/zrythm

%{_datadir}/fonts/zrythm
%{_datadir}/applications/org.zrythm.Zrythm.desktop
%{_datadir}/glib-2.0/schemas/org.zrythm.Zrythm.gschema.xml
%{_datadir}/icons/hicolor/*/apps/zrythm.*
%{_datadir}/mime/packages/org.zrythm.Zrythm-mime.xml
%{_datadir}/bash-completion/completions/zrythm
%{_datadir}/fish/vendor_completions.d/zrythm.fish
%{_mandir}/man1/zrythm.1.gz



%changelog
* Thu Aug 26 2021 Olivier Samyn <code@oleastre.be> - 1.0.0-23.0.1.2.1
- New zrythm release 1.0.0 + 23.0.1.2 ; git sha1=g73b3b08e8
- New libbacktrace release 0.0.0 + 20210311114606 ; git sha1=208a7ba

* Fri Oct 02 2020 Olivier Samyn 🎻 <code@oleastre.be> - 1.0.0-2.3.0.1.1
- New upstream release 1.0.0 + 3.0.1.1 commits; git sha1=gee9242baf

* Fri Oct 02 2020 Olivier Samyn 🎻 <code@oleastre.be> - 1.0.0-1.3.0.1.1
- New upstream release 1.0.0 + 3.0.1.1 commits; git sha1=gee9242baf
